const api = require('../../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    array: ['卫生', '纪律', '日常', '其他'],
    index: 0,
  },
  bindPickerChange(e) {
    this.setData({
      index: e.detail.value
    })
  },
  formSubmit:function(e){
    let that=this
    if (!e.detail.value.title || !e.detail.value.text){
      wx.showToast({
        title: '请完善信息',
        icon:'none'
      })
      return false;
    }
    wx.showLoading({
      title: '正在提交',
    })
    wx.request({
      url: api.submitPropose,
      data: { loginId: wx.getStorageSync('loginId'), title: e.detail.value.title, message: e.detail.value.text, messageTag: e.detail.value.messageTag},
      success(res){
        wx.hideLoading()
        if(res.data.errno==0){
          wx.redirectTo({
            url: '/pages/success/index',
          })
        }else{
          wx.showToast({
            title: res.data.data.msg,
            icon:'none'
          })
        }
      },fail(res){
        wx.showToast({
          title: '请求出错了',
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      user:wx.getStorageSync('user')
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})